%define lib_major	4
%define lib_name	%mklibname xfce4util %{lib_major} 
%define version 	4.4.0
%define release 	1
%define __libtoolize	/bin/true
%define __cputoolize	/bin/true

Summary: 	Utility library for the Xfce4 desktop environment
Name: 		libxfce4util
Version: 	%{version}
Release: 	%mkrel %{release}
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	glib2-devel >= 2.0.0
BuildRequires:	gtk-doc

%description
Basic utility non-GUI functions for Xfce4.

%package -n %{lib_name}
Summary:	Utility library for the Xfce4 desktop environment
Group:		Graphical desktop/Xfce

%description -n %{lib_name}
Utility library for the Xfce4 desktop environment.

%package -n %{lib_name}-devel
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	gtk-doc
Requires:	xfce-dev-tools
Requires:	%{lib_name} = %{version}
Provides:       libxfce4util-devel = %{version}-%{release}

%description -n %{lib_name}-devel
Libraries and header files for the %{name} library.


%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# (mpol) 4.1.99.1: remove for now
rm -f $RPM_BUILD_ROOT%{_sbindir}/xfce4-kiosk-query

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post  -n %{lib_name} -p /sbin/ldconfig

%postun  -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING TODO
%{_libdir}/lib*.so.*
%{_datadir}/gtk-doc/html/*
%files -n %{lib_name}-devel -f%{name}.lang
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/xfce4
%{_includedir}/xfce4/%{name}


%changelog
* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.1
+ Revision: 112306
- New release 4.4.0

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-1mdv2007.1
+ Revision: 91664
- update to 4.3.99.2

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.90.2-1mdv2007.1
+ Revision: 91637
- Import libxfce4util



* Mon Jul 10 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2006.0
- 4.3.90.2 (Xfce-4.4 beta2)
- bump major
- add lang

* Tue Apr 25 2006 Jerome Soyer <saispo@mandriva.or> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Mon Mar 06 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Sat Feb 04 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- devel package requires xfce-dev-tools for now

* Sat Feb 04 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk
- 4.3.0 svn r19739
- new major
- don't run libtoolize
- update filelist

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3.2-1mdk
- 4.2.3.2

* Tue May 24 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%mkrel

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- remove %%{_sbindir}/xfce4-kiosk-query for now
- add (build)requires for gtk-doc
- sysconfdir=%%_sysconfdir/X11

* Mon Jul 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sat Apr 17 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Fri Apr 09 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

* Thu Jan 08 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Fri Nov 14 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1

* Sat Nov 08 2003 Marcel Pol <mpol@gmx.net> 4.0.0-2mdk
- prefix set to /usr instead of /usr/X11R6 for pkgconfig 

* Sat Nov 08 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package
